#ifndef COVERARTCONFIG_H_INCLUDED
#define COVERARTCONFIG_H_INCLUDED

#include <qscrollview.h>
#include <qlineedit.h>
#include <qcheckbox.h>
#include <qspinbox.h>
#include "configuration.h"

class QHButtonGroup;
class QLabel;

class CoverArtConfig : public QScrollView
{
	Q_OBJECT

public:
	CoverArtConfig(Configuration& configuration, QWidget *parent = 0, const char *name = 0);
	void setStatesByConfiguration(const Configuration& config);

private slots:
	void setCoverArtDirectory(const QString& dir) { config_.coverArtDirectory = dir; }
	void execCoverArtDirectoryDialog();

private:
	void createWidgets();

	Configuration& config_;

	// Widgets
	QLineEdit *coverArtDirectory_;
};

#endif // COVERARTONFIG_H_INCLUDED
